﻿///////////////////////////////////////////////////////////////////////////
//  Copyright (C) Wizardry and Steamworks 2017 - License: GNU GPLv3      //
//  Please see: http://www.gnu.org/licenses/gpl.html for legal details,  //
//  rights of fair usage, the disclaimer and warranty conditions.        //
///////////////////////////////////////////////////////////////////////////

using System.Net.Http.Headers;
using System.Reflection;

namespace wasStitchNET
{
    public struct STITCH_CONSTANTS
    {
        public const string SERVER_IP_PATH = @"ip";
        public const string UPDATE_PATH = @"update";
        public const string PROGRESSIVE_PATH = @"progressive";
        public const string UPDATE_DATA_PATH = @"data";
        public const string UPDATE_OPTIONS_FILE = @"options.xml";
        public const string UPDATE_CHECKSUM_FILE = @"checksum.txt";
        public const string UPDATE_MIRRORS_FILE = @"mirrors.txt";
        public static readonly string STITCH_VERSION = Assembly.GetEntryAssembly().GetName().Version.ToString();

        public static readonly ProductInfoHeaderValue USER_AGENT =
            new ProductInfoHeaderValue(Assembly.GetEntryAssembly().GetName().Name, STITCH_VERSION);

        public const string GEOIP_PATH = @"GeoIP-Databases";
        public const string GEOIP_CITY_DATABASE = @"GeoLite2-City.mmdb.gz";
        public const string GEOIP_UNKNOWN_COUNTRY = @"a galaxy far, far away...";
    }
}
